Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Interface IElementStateListenerExtension

public interface IElementStateListenerExtension

Extension interface for `IElementStateListener`. It adds

- state validation notification
- a notion of session, i.e. a notification about an upcoming element change and error handling.

Since:
  2.0

Method Summary
`void` | `elementStateChangeFailed(Object element)` Notifies that changing the given element has failed.
`void` | `elementStateChanging(Object element)` Notifies that the given element is currently being changed.
`void` | `elementStateValidationChanged(Object element, boolean isStateValidated)` Notifies that the state validation of the given element has changed.

Method Detail

### elementStateValidationChanged

    public void elementStateValidationChanged(Object element,
                                              boolean isStateValidated)

  Notifies that the state validation of the given element has changed.

  Parameters:
    `element` - the element
    `isStateValidated` - the flag indicating whether state validation is done

### elementStateChanging

    public void elementStateChanging(Object element)

  Notifies that the given element is currently being changed. This method may be sent from a non-ui thread.

  Parameters:
    `element` - the element

### elementStateChangeFailed

    public void elementStateChangeFailed(Object element)

  Notifies that changing the given element has failed.

  Parameters:
    `element` - the element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.